Package org.wso2.carbon.task.stub

## Class TaskAdminCallbackHandler

- java.lang.Object
- - org.wso2.carbon.task.stub.TaskAdminCallbackHandler

-     public abstract class TaskAdminCallbackHandler
      extends Object

  TaskAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `clientData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAdminCallbackHandler()` | Please use this constructor if you don't want to set any clientData
    `TaskAdminCallbackHandler​(Object clientData)` | User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getClientData()` | Get the client data
    `void` | `receiveErrorgetAllJobGroups​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getAllJobGroups operation
    `void` | `receiveErrorgetAllTaskData​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getAllTaskData operation
    `void` | `receiveErrorgetAllTaskDescriptions​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getAllTaskDescriptions operation
    `void` | `receiveErrorgetTaskDescription​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getTaskDescription operation
    `void` | `receiveErrorisContains​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from isContains operation
    `void` | `receiveErrorloadTaskClassProperties​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from loadTaskClassProperties operation
    `void` | `receiveResultgetAllJobGroups​(String[] result)` | auto generated Axis2 call back method for getAllJobGroups method override this method for handling normal response from getAllJobGroups operation
    `void` | `receiveResultgetAllTaskData​(TaskData[] result)` | auto generated Axis2 call back method for getAllTaskData method override this method for handling normal response from getAllTaskData operation
    `void` | `receiveResultgetAllTaskDescriptions​(org.apache.axiom.om.OMElement result)` | auto generated Axis2 call back method for getAllTaskDescriptions method override this method for handling normal response from getAllTaskDescriptions operation
    `void` | `receiveResultgetTaskDescription​(org.apache.axiom.om.OMElement result)` | auto generated Axis2 call back method for getTaskDescription method override this method for handling normal response from getTaskDescription operation
    `void` | `receiveResultisContains​(boolean result)` | auto generated Axis2 call back method for isContains method override this method for handling normal response from isContains operation
    `void` | `receiveResultloadTaskClassProperties​(org.apache.axiom.om.OMElement result)` | auto generated Axis2 call back method for loadTaskClassProperties method override this method for handling normal response from loadTaskClassProperties operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### TaskAdminCallbackHandler

          public TaskAdminCallbackHandler​(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### TaskAdminCallbackHandler

          public TaskAdminCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultgetAllTaskDescriptions

          public void receiveResultgetAllTaskDescriptions​(org.apache.axiom.om.OMElement result)

      auto generated Axis2 call back method for getAllTaskDescriptions method override this method for handling normal response from getAllTaskDescriptions operation

    - #### receiveErrorgetAllTaskDescriptions

          public void receiveErrorgetAllTaskDescriptions​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllTaskDescriptions operation

    - #### receiveResultisContains

          public void receiveResultisContains​(boolean result)

      auto generated Axis2 call back method for isContains method override this method for handling normal response from isContains operation

    - #### receiveErrorisContains

          public void receiveErrorisContains​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from isContains operation

    - #### receiveResultgetAllJobGroups

          public void receiveResultgetAllJobGroups​(String[] result)

      auto generated Axis2 call back method for getAllJobGroups method override this method for handling normal response from getAllJobGroups operation

    - #### receiveErrorgetAllJobGroups

          public void receiveErrorgetAllJobGroups​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllJobGroups operation

    - #### receiveResultgetTaskDescription

          public void receiveResultgetTaskDescription​(org.apache.axiom.om.OMElement result)

      auto generated Axis2 call back method for getTaskDescription method override this method for handling normal response from getTaskDescription operation

    - #### receiveErrorgetTaskDescription

          public void receiveErrorgetTaskDescription​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getTaskDescription operation

    - #### receiveResultgetAllTaskData

          public void receiveResultgetAllTaskData​(TaskData[] result)

      auto generated Axis2 call back method for getAllTaskData method override this method for handling normal response from getAllTaskData operation

    - #### receiveErrorgetAllTaskData

          public void receiveErrorgetAllTaskData​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllTaskData operation

    - #### receiveResultloadTaskClassProperties

          public void receiveResultloadTaskClassProperties​(org.apache.axiom.om.OMElement result)

      auto generated Axis2 call back method for loadTaskClassProperties method override this method for handling normal response from loadTaskClassProperties operation

    - #### receiveErrorloadTaskClassProperties

          public void receiveErrorloadTaskClassProperties​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from loadTaskClassProperties operation